Package org.bukkit.event.player

# Enum Class PlayerTeleportEvent.TeleportCause

java.lang.Object
java.lang.Enum<PlayerTeleportEvent.TeleportCause>
org.bukkit.event.player.PlayerTeleportEvent.TeleportCause

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerTeleportEvent.TeleportCause>`, `Constable`

Enclosing class:
  PlayerTeleportEvent

public static enum PlayerTeleportEvent.TeleportCause extends Enum<PlayerTeleportEvent.TeleportCause>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHORUS_FRUIT`
Indicates the teleportation was caused by a player consuming chorus fruit
`COMMAND`
Indicates the teleportation was caused by a player executing a command
`END_GATEWAY`
Indicates the teleportation was caused by a player entering an End gateway
`END_PORTAL`
Indicates the teleportation was caused by a player entering an End portal
`ENDER_PEARL`
Indicates the teleporation was caused by a player throwing an Ender Pearl
`NETHER_PORTAL`
Indicates the teleportation was caused by a player entering a Nether portal
`PLUGIN`
Indicates the teleportation was caused by a plugin
`SPECTATE`
Indicates the teleportation was caused by a player teleporting to a Entity/Player via the spectator menu
`UNKNOWN`
Indicates the teleportation was caused by an event not covered by this enum

## Method Summary

Modifier and Type
Method
Description
`static PlayerTeleportEvent.TeleportCause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerTeleportEvent.TeleportCause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ENDER_PEARL

public static final PlayerTeleportEvent.TeleportCause ENDER_PEARL
Indicates the teleporation was caused by a player throwing an Ender Pearl

### COMMAND

public static final PlayerTeleportEvent.TeleportCause COMMAND
Indicates the teleportation was caused by a player executing a command

### PLUGIN

public static final PlayerTeleportEvent.TeleportCause PLUGIN
Indicates the teleportation was caused by a plugin

### NETHER_PORTAL

public static final PlayerTeleportEvent.TeleportCause NETHER_PORTAL
Indicates the teleportation was caused by a player entering a Nether portal

### END_PORTAL

public static final PlayerTeleportEvent.TeleportCause END_PORTAL
Indicates the teleportation was caused by a player entering an End portal

### SPECTATE

public static final PlayerTeleportEvent.TeleportCause SPECTATE
Indicates the teleportation was caused by a player teleporting to a Entity/Player via the spectator menu

### END_GATEWAY

public static final PlayerTeleportEvent.TeleportCause END_GATEWAY
Indicates the teleportation was caused by a player entering an End gateway

### CHORUS_FRUIT

public static final PlayerTeleportEvent.TeleportCause CHORUS_FRUIT
Indicates the teleportation was caused by a player consuming chorus fruit

### UNKNOWN

public static final PlayerTeleportEvent.TeleportCause UNKNOWN
Indicates the teleportation was caused by an event not covered by this enum

## Method Details

### values

public static PlayerTeleportEvent.TeleportCause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerTeleportEvent.TeleportCause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null